// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/alokasi-topik": {
            "get": {
                "description": "Retrieves a list of topics.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Topics"
                ],
                "summary": "Retrieve topics",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Page number",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "Items per page",
                        "name": "limit",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Search query",
                        "name": "search",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Topic ID",
                        "name": "id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.Topik"
                            }
                        }
                    }
                }
            },
            "post": {
                "description": "Adds all new topics.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Topics"
                ],
                "summary": "Add all new topics",
                "parameters": [
                    {
                        "description": "Topic object to add",
                        "name": "topics",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.Topik"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.Topik"
                            }
                        }
                    }
                }
            }
        },
        "/alokasi-topik/{id}": {
            "get": {
                "description": "Retrieves a topic by its ID.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Topics"
                ],
                "summary": "Retrieve a topic by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Topic ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entity.Topik"
                        }
                    }
                }
            },
            "put": {
                "description": "Updates an existing topic.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Topics"
                ],
                "summary": "Update an existing topic",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Topic ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Updated topic object",
                        "name": "topic",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.Topik"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entity.Topik"
                        }
                    }
                }
            },
            "delete": {
                "description": "Deletes a topic by its ID.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Topics"
                ],
                "summary": "Delete a topic by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Topic ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK"
                    }
                }
            }
        },
        "/api/admin/dashboard/dosbing": {
            "get": {
                "description": "Retrieves a list of mahasiswa supervised by a specific dosen for TA.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Dashboard Dosbing"
                ],
                "summary": "Get mahasiswa by dosen ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Dosen ID",
                        "name": "id_dosen",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Limit",
                        "name": "limit",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Offset",
                        "name": "offset",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "List mahasiswa successfully retrieved",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.MahasiswaBimbingan"
                            }
                        }
                    }
                }
            }
        },
        "/api/admin/dashboard/dosbing/statistic": {
            "get": {
                "description": "Retrieves the amount of mahasiswa supervised by a specific dosen for TA.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Dashboard Dosbing"
                ],
                "summary": "Get amount of mahasiswa by dosen ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Dosen ID",
                        "name": "id_dosen",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "List mahasiswa successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.JumlahMahasiswa"
                            }
                        }
                    }
                }
            }
        },
        "/api/admin/dashboard/dosbing/status-bimbingan": {
            "get": {
                "description": "Retrieves the amount of mahasiswa's bimbingan status supervised by a specific dosen for TA.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Dashboard Dosbing"
                ],
                "summary": "Get amount of mahasiswa's bimbingan status by dosen ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Dosen ID",
                        "name": "id_dosen",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "List mahasiswa successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.StatusBimbinganMahasiswa"
                            }
                        }
                    }
                }
            }
        },
        "/batch-seminar": {
            "get": {
                "description": "Retrieves a list of batch for Seminar.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Seminar"
                ],
                "summary": "Get batch for TA",
                "responses": {
                    "200": {
                        "description": "Batch seminar successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.BatchSeminar"
                            }
                        }
                    }
                }
            },
            "post": {
                "description": "Adds a new batch for Seminar.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Seminar"
                ],
                "summary": "Add batch for Seminar",
                "parameters": [
                    {
                        "description": "Batch Seminar object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Batch added successfully",
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                }
            },
            "delete": {
                "description": "Deletes a batch for Seminar.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Seminar"
                ],
                "summary": "Delete batch for Seminar",
                "parameters": [
                    {
                        "description": "Batch Seminar object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Batch Seminar successfully deleted",
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                }
            }
        },
        "/batch-seminar-current": {
            "get": {
                "description": "Retrieves a list of batch for Seminar.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Seminar"
                ],
                "summary": "Get batch seminar that current time is between its startDate and endDate.",
                "responses": {
                    "200": {
                        "description": "Batch seminar successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.BatchSeminar"
                            }
                        }
                    }
                }
            }
        },
        "/batch-seminar-live": {
            "get": {
                "description": "Retrieves a batch for Seminar.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Seminar"
                ],
                "summary": "Get batch seminar that is live.",
                "responses": {
                    "200": {
                        "description": "Batch seminar successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.BatchSeminar"
                            }
                        }
                    }
                }
            },
            "patch": {
                "description": "Set Batch to live.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Seminar"
                ],
                "summary": "Set Batch to live",
                "parameters": [
                    {
                        "description": "Batch Seminar object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Batch Seminar successfully updated to live",
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                }
            }
        },
        "/batch-sidang": {
            "get": {
                "description": "Retrieves a list of batch for Sidang.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Sidang"
                ],
                "summary": "Get batch for Sidang",
                "responses": {
                    "200": {
                        "description": "Batch Sidang successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.BatchSidang"
                            }
                        }
                    }
                }
            },
            "post": {
                "description": "Adds a new batch for Sidang.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Sidang"
                ],
                "summary": "Add batch for Sidang",
                "parameters": [
                    {
                        "description": "Batch Sidang object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSidang"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Batch added successfully",
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSidang"
                        }
                    }
                }
            },
            "delete": {
                "description": "Deletes a batch for Sidang.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Sidang"
                ],
                "summary": "Delete batch for Sidang",
                "parameters": [
                    {
                        "description": "Batch Sidang object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSidang"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Batch TA successfully deleted",
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSidang"
                        }
                    }
                }
            }
        },
        "/batch-sidang-current": {
            "get": {
                "description": "Retrieves a list of batch for Sidang.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Sidang"
                ],
                "summary": "Get batch sidang that current time is between its startDate and endDate.",
                "responses": {
                    "200": {
                        "description": "Batch sidang successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.BatchSidang"
                            }
                        }
                    }
                }
            }
        },
        "/batch-sidang-live": {
            "get": {
                "description": "Retrieves a batch for sidang.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Sidang"
                ],
                "summary": "Get batch sidang that is live.",
                "responses": {
                    "200": {
                        "description": "Batch seminar successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.BatchSidang"
                            }
                        }
                    }
                }
            },
            "patch": {
                "description": "Set Batch to live.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Sidang"
                ],
                "summary": "Set Batch to live",
                "parameters": [
                    {
                        "description": "Batch Sidang object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Batch sidang successfully updated to live",
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                }
            }
        },
        "/bimbingan-log": {
            "post": {
                "description": "Add a new bimbingan log",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "BimbinganLog"
                ],
                "summary": "Add a new bimbingan log",
                "parameters": [
                    {
                        "description": "Bimbingan Log object",
                        "name": "bimbinganLog",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BimbinganLog"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Bimbingan Log successfully added",
                        "schema": {
                            "$ref": "#/definitions/entity.BimbinganLog"
                        }
                    }
                }
            }
        },
        "/jadwal-seminar": {
            "get": {
                "description": "Retrieves all jadwal seminar records.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Seminar"
                ],
                "summary": "Get all jadwal seminar",
                "responses": {
                    "200": {
                        "description": "Jadwal Seminar successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.JadwalSeminar"
                            }
                        }
                    }
                }
            },
            "post": {
                "description": "Adds a new jadwal seminar record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Seminar"
                ],
                "summary": "Add jadwal seminar",
                "parameters": [
                    {
                        "description": "Jadwal Seminar request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.JadwalSeminarRequest"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Jadwal added successfully",
                        "schema": {
                            "$ref": "#/definitions/entity.JadwalSeminar"
                        }
                    }
                }
            },
            "delete": {
                "description": "Deletes a jadwal seminar record by ID.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Seminar"
                ],
                "summary": "Delete jadwal seminar",
                "parameters": [
                    {
                        "description": "Edit Jadwal Seminar request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.EditJadwalSeminarRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Jadwal Seminar successfully deleted",
                        "schema": {
                            "$ref": "#/definitions/entity.JadwalSeminar"
                        }
                    }
                }
            },
            "patch": {
                "description": "Edits an existing jadwal seminar record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Seminar"
                ],
                "summary": "Edit jadwal seminar",
                "parameters": [
                    {
                        "description": "Edit Jadwal Seminar request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.EditJadwalSeminarRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Jadwal Seminar successfully edited",
                        "schema": {
                            "$ref": "#/definitions/entity.JadwalSeminar"
                        }
                    }
                }
            }
        },
        "/jadwal-seminar-batch": {
            "get": {
                "description": "Retrieves jadwal seminar records by batch ID.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Seminar"
                ],
                "summary": "Get jadwal seminar by batch",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Batch ID",
                        "name": "id_batch",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Jadwal Seminar successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.JadwalSeminar"
                            }
                        }
                    }
                }
            }
        },
        "/jadwal-seminar-latest": {
            "get": {
                "description": "Retrieves the latest jadwal seminar record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Seminar"
                ],
                "summary": "Get latest jadwal seminar",
                "responses": {
                    "200": {
                        "description": "Latest Jadwal Seminar successfully retreived",
                        "schema": {
                            "$ref": "#/definitions/entity.JadwalSeminar"
                        }
                    }
                }
            }
        },
        "/jadwal-seminar-range": {
            "get": {
                "description": "Retrieves all jadwal seminar records within a date range.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Seminar"
                ],
                "summary": "Get all jadwal seminar within a date range",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.JadwalSeminar"
                            }
                        }
                    }
                }
            }
        },
        "/jadwal-sidang": {
            "get": {
                "description": "Retrieves all jadwal sidang records.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Sidang"
                ],
                "summary": "Get all jadwal sidang",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.JadwalSidang"
                            }
                        }
                    }
                }
            },
            "post": {
                "description": "Adds a new jadwal sidang record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Sidang"
                ],
                "summary": "Add jadwal sidang",
                "parameters": [
                    {
                        "description": "Jadwal Sidang Request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.JadwalSidangRequest"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Created",
                        "schema": {
                            "$ref": "#/definitions/entity.JadwalSidang"
                        }
                    }
                }
            },
            "delete": {
                "description": "Deletes a jadwal sidang record by ID.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Sidang"
                ],
                "summary": "Delete jadwal sidang",
                "parameters": [
                    {
                        "description": "Edit Jadwal Sidang Request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.EditJadwalSidangRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entity.JadwalSidang"
                        }
                    }
                }
            },
            "patch": {
                "description": "Edits an existing jadwal sidang record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Sidang"
                ],
                "summary": "Edit jadwal sidang",
                "parameters": [
                    {
                        "description": "Edit Jadwal Sidang Request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.EditJadwalSidangRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entity.JadwalSidang"
                        }
                    }
                }
            }
        },
        "/jadwal-sidang-batch": {
            "get": {
                "description": "Retrieves jadwal sidang records by batch ID.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Sidang"
                ],
                "summary": "Get jadwal sidang by batch",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Batch ID",
                        "name": "id_batch",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.JadwalSidang"
                            }
                        }
                    }
                }
            }
        },
        "/jadwal-sidang-latest": {
            "get": {
                "description": "Retrieves the latest jadwal sidang record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Sidang"
                ],
                "summary": "Get latest jadwal sidang",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entity.JadwalSidang"
                        }
                    }
                }
            }
        },
        "/jadwal-sidang-range": {
            "get": {
                "description": "Retrieves all jadwal sidang records within a date range.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Jadwal Sidang"
                ],
                "summary": "Get all jadwal sidang within a date range",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.JadwalSidang"
                            }
                        }
                    }
                }
            }
        },
        "/pendaftaran": {
            "post": {
                "description": "Adds a new pendaftaran record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Pendaftaran"
                ],
                "summary": "Add pendaftaran",
                "parameters": [
                    {
                        "description": "Pendaftaran Add Request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.PendaftaranAddRequest"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Created",
                        "schema": {
                            "$ref": "#/definitions/entity.Pendaftaran"
                        }
                    }
                }
            }
        },
        "/pendaftaran-delete": {
            "get": {
                "description": "Deletes a pendaftaran record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Pendaftaran"
                ],
                "summary": "Delete pendaftaran",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ID of the pendaftaran",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "object"
                        }
                    }
                }
            }
        },
        "/pendaftaran-get-by-dosen": {
            "get": {
                "description": "Retrieves a list of pendaftaran records by dosen ID.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Pendaftaran"
                ],
                "summary": "Get pendaftaran by dosen ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ID of the dosen",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.Pendaftaran"
                            }
                        }
                    }
                }
            }
        },
        "/pendaftaran-update-interview": {
            "post": {
                "description": "Updates the interview time of a pendaftaran record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Pendaftaran"
                ],
                "summary": "Update pendaftaran interview time",
                "parameters": [
                    {
                        "description": "Update Pendaftaran Interview Time Request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.WaktuInterviewUpdateRequest"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Created",
                        "schema": {
                            "$ref": "#/definitions/entity.Pendaftaran"
                        }
                    }
                }
            }
        },
        "/pendaftaran-update-status": {
            "post": {
                "description": "Updates the status of a pendaftaran record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Pendaftaran"
                ],
                "summary": "Update pendaftaran status",
                "parameters": [
                    {
                        "description": "Update Pendaftaran Status Request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.UpdatePendaftaranRequest"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Created",
                        "schema": {
                            "$ref": "#/definitions/entity.Pendaftaran"
                        }
                    }
                }
            }
        },
        "/periode-pendaftaran": {
            "get": {
                "description": "Retrieves a list of bperiod for pendaftaran.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Periode Pendaftaran"
                ],
                "summary": "Get period for pendaftaran",
                "responses": {
                    "200": {
                        "description": "Period pendaftaran successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.PeriodPendaftaran"
                            }
                        }
                    }
                }
            },
            "post": {
                "description": "Adds a new period for pendaftaran.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Periode Pendaftaran"
                ],
                "summary": "Add period for pendaftaran",
                "parameters": [
                    {
                        "description": "Period Pendaftaran object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaran"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Period pendaftaran added successfully",
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaran"
                        }
                    }
                }
            },
            "delete": {
                "description": "Deletes a period for pendaftaran.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Periode Pendaftaran"
                ],
                "summary": "Delete period for pendaftaran",
                "parameters": [
                    {
                        "description": "Period Pendaftaran object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaran"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Period pendaftaran successfully deleted",
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaran"
                        }
                    }
                }
            }
        },
        "/periode-pendaftaran-current": {
            "get": {
                "description": "Retrieves a list of period for pendaftaran.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Periode Pendaftaran"
                ],
                "summary": "Get periode pendaftaran that current time is between its startDate and endDate.",
                "responses": {
                    "200": {
                        "description": "Period pendaftaran successfully retreived",
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaran"
                        }
                    }
                }
            }
        },
        "/periode-pendaftaran-live": {
            "get": {
                "description": "Retrieves a period for pendaftaran.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Periode Pendaftaran"
                ],
                "summary": "Get periode pendaftaran that is live.",
                "responses": {
                    "200": {
                        "description": "Periode pendaftaran successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.PeriodPendaftaran"
                            }
                        }
                    }
                }
            },
            "patch": {
                "description": "Set Period to live.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Periode Pendaftaran"
                ],
                "summary": "Set Period to live",
                "parameters": [
                    {
                        "description": "Period Pendaftaran object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaran"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Periode pendaftaran successfully updated to live",
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaran"
                        }
                    }
                }
            }
        },
        "/status-mahasiswa": {
            "get": {
                "description": "Retrieves the status mahasiswa by NIM.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Status Mahasiswa"
                ],
                "summary": "Get status mahasiswa",
                "parameters": [
                    {
                        "type": "string",
                        "description": "NIM of the student",
                        "name": "nim",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entity.StatusMahasiswa"
                        }
                    }
                }
            }
        },
        "/system-logs": {
            "get": {
                "description": "Retrieves a list of system logs.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "System Logs"
                ],
                "summary": "Retrieve system logs",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Limit number of logs per page",
                        "name": "limit",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "Offset for pagination",
                        "name": "offset",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.SystemLog"
                            }
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "entity.BatchSeminar": {
            "type": "object",
            "properties": {
                "endDate": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "periodSemester": {
                    "type": "string"
                },
                "periodYear": {
                    "type": "string"
                },
                "startDate": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "entity.BatchSidang": {
            "type": "object",
            "properties": {
                "endDate": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "periodSemester": {
                    "type": "string"
                },
                "periodYear": {
                    "type": "string"
                },
                "startDate": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "entity.BimbinganLog": {
            "type": "object",
            "properties": {
                "date": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "id_mahasiswa": {
                    "type": "string"
                },
                "laporan_kemajuan": {
                    "type": "string"
                },
                "next_bimbingan": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                },
                "todo": {
                    "type": "string"
                }
            }
        },
        "entity.EditJadwalSeminarRequest": {
            "type": "object",
            "properties": {
                "ID": {
                    "type": "string"
                },
                "IDBatch": {
                    "type": "string"
                },
                "judul": {
                    "type": "string"
                },
                "namaDosbing": {
                    "type": "string"
                },
                "namaDosuji1": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "nim": {
                    "type": "string"
                },
                "ruang": {
                    "type": "string"
                },
                "scheduledAt": {
                    "type": "string"
                }
            }
        },
        "entity.EditJadwalSidangRequest": {
            "type": "object",
            "properties": {
                "ID": {
                    "type": "string"
                },
                "IDBatch": {
                    "type": "string"
                },
                "judul": {
                    "type": "string"
                },
                "namaDosbing": {
                    "type": "string"
                },
                "namaDosuji1": {
                    "type": "string"
                },
                "namaDosuji2": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "nim": {
                    "type": "string"
                },
                "ruang": {
                    "type": "string"
                },
                "scheduledAt": {
                    "type": "string"
                }
            }
        },
        "entity.JadwalSeminar": {
            "type": "object",
            "properties": {
                "batchid": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "Use this if you want to override the gorm.Model's CreatedAt",
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "judul": {
                    "type": "string"
                },
                "namaDosbing": {
                    "type": "string"
                },
                "namaDosuji1": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "nim": {
                    "type": "string"
                },
                "ruang": {
                    "type": "string"
                },
                "scheduledAt": {
                    "type": "string"
                }
            }
        },
        "entity.JadwalSeminarRequest": {
            "type": "object",
            "properties": {
                "IDBatch": {
                    "type": "string"
                },
                "judul": {
                    "type": "string"
                },
                "namaDosbing": {
                    "type": "string"
                },
                "namaDosuji1": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "nim": {
                    "type": "string"
                },
                "ruang": {
                    "type": "string"
                },
                "scheduledAt": {
                    "type": "string"
                }
            }
        },
        "entity.JadwalSidang": {
            "type": "object",
            "properties": {
                "batchid": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "Use this if you want to override the gorm.Model's CreatedAt",
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "judul": {
                    "type": "string"
                },
                "namaDosbing": {
                    "type": "string"
                },
                "namaDosuji1": {
                    "type": "string"
                },
                "namaDosuji2": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "nim": {
                    "type": "string"
                },
                "ruang": {
                    "type": "string"
                },
                "scheduledAt": {
                    "type": "string"
                }
            }
        },
        "entity.JadwalSidangRequest": {
            "type": "object",
            "properties": {
                "IDBatch": {
                    "type": "string"
                },
                "judul": {
                    "type": "string"
                },
                "namaDosbing": {
                    "type": "string"
                },
                "namaDosuji1": {
                    "type": "string"
                },
                "namaDosuji2": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "nim": {
                    "type": "string"
                },
                "ruang": {
                    "type": "string"
                },
                "scheduledAt": {
                    "type": "string"
                }
            }
        },
        "entity.JumlahMahasiswa": {
            "type": "object",
            "properties": {
                "mahasiswa_if": {
                    "type": "integer"
                },
                "mahasiswa_sti": {
                    "type": "integer"
                }
            }
        },
        "entity.MahasiswaBimbingan": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "nama": {
                    "type": "string"
                },
                "nim": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "topik": {
                    "$ref": "#/definitions/entity.TopikMahasiswaBingan"
                }
            }
        },
        "entity.Pendaftaran": {
            "type": "object",
            "properties": {
                "createdAt": {
                    "description": "Use this if you want to override the gorm.Model's CreatedAt",
                    "type": "string"
                },
                "decidedAt": {
                    "type": "string"
                },
                "id": {
                    "description": "UUID as a string",
                    "type": "string"
                },
                "idDosen": {
                    "type": "string"
                },
                "idMahasiswa": {
                    "type": "string"
                },
                "idPeriode": {
                    "type": "string"
                },
                "idTopik": {
                    "type": "string"
                },
                "interviewAt": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                },
                "updatedAt": {
                    "description": "Use this if you want to override the gorm.Model's UpdatedAt",
                    "type": "string"
                }
            }
        },
        "entity.PendaftaranAddRequest": {
            "type": "object",
            "properties": {
                "idDosen": {
                    "type": "string"
                },
                "idMahasiswa": {
                    "type": "string"
                },
                "idPeriode": {
                    "type": "string"
                },
                "idTopik": {
                    "type": "string"
                }
            }
        },
        "entity.PeriodPendaftaran": {
            "type": "object",
            "properties": {
                "endDate": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "periodSemester": {
                    "type": "string"
                },
                "periodYear": {
                    "type": "string"
                },
                "startDate": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "entity.StatusBimbingan": {
            "type": "object",
            "properties": {
                "jumlah_bimbingan": {
                    "type": "integer"
                }
            }
        },
        "entity.StatusBimbinganMahasiswa": {
            "type": "object",
            "properties": {
                "butuh_bimbingan": {
                    "type": "integer"
                },
                "lancar": {
                    "type": "integer"
                },
                "terkendala": {
                    "type": "integer"
                }
            }
        },
        "entity.StatusMahasiswa": {
            "type": "object",
            "properties": {
                "id_mahasiswa": {
                    "type": "string"
                },
                "nama": {
                    "type": "string"
                },
                "nim": {
                    "type": "string"
                },
                "status_bimbingan": {
                    "$ref": "#/definitions/entity.StatusBimbingan"
                },
                "status_pendaftaran": {
                    "$ref": "#/definitions/entity.StatusPendaftaran"
                },
                "status_seminar": {
                    "$ref": "#/definitions/entity.StatusSeminar"
                },
                "status_sidang": {
                    "$ref": "#/definitions/entity.StatusSidang"
                }
            }
        },
        "entity.StatusPendaftaran": {
            "type": "object",
            "properties": {
                "dosen_pembimbing": {
                    "type": "string"
                },
                "jadwal_interview": {
                    "type": "string"
                },
                "judul": {
                    "type": "string"
                },
                "pengesahan_dosen_pembimbing": {
                    "type": "boolean"
                },
                "pengiriman_registrasi": {
                    "type": "string"
                },
                "persetujuan_dosen_pembimbing": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                },
                "topik": {
                    "type": "string"
                }
            }
        },
        "entity.StatusSeminar": {
            "type": "object",
            "properties": {
                "dosen_penguji": {
                    "type": "string"
                },
                "jadwal_seminar": {
                    "type": "string"
                },
                "ruangan": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "entity.StatusSidang": {
            "type": "object",
            "properties": {
                "dosen_penguji_1": {
                    "type": "string"
                },
                "dosen_penguji_2": {
                    "type": "string"
                },
                "jadwal_seminar": {
                    "type": "string"
                },
                "ruangan": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "entity.SystemLog": {
            "type": "object",
            "properties": {
                "action": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "id_pengguna": {
                    "type": "string"
                }
            }
        },
        "entity.Topik": {
            "type": "object",
            "properties": {
                "deskripsi": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "idDosen": {
                    "type": "string"
                },
                "judul": {
                    "type": "string"
                },
                "namaDosen": {
                    "type": "string"
                },
                "periode": {
                    "type": "string"
                }
            }
        },
        "entity.TopikMahasiswaBingan": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "judul": {
                    "type": "string"
                }
            }
        },
        "entity.UpdatePendaftaranRequest": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "entity.WaktuInterviewUpdateRequest": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "interviewAt": {
                    "type": "string"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "",
	Description:      "",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
