package main

import (
	"time"

	"gitlab.informatika.org/k-01-11/graduit-be/src/database"
	"gitlab.informatika.org/k-01-11/graduit-be/src/models"
)

func addDosen(name, npwp string) string {
	db := database.GetInstance()
	newUser := models.Pengguna{}

	db.Create(&newUser)

	newDosen := models.Dosen{Name: name, NPWP: npwp, IdDosen: newUser.Id}
	db.Create(&newDosen)

	return newDosen.IdDosen
}

func addMahasiswa(name, nim, iddosen string) string {
	db := database.GetInstance()
	newUser := models.Pengguna{}

	db.Create(&newUser)

	newMhs := models.Mahasiswa{Name: name, NIM: nim, IdMahasiswa: newUser.Id, IdDosen: iddosen}
	db.Create(&newMhs)

	return newMhs.IdMahasiswa
}

func addTopik(judul, deskripsi, idDosen string) string {
	db := database.GetInstance()
	newTopik := models.Topik{Judul: judul, Deskripsi: deskripsi, IdDosen: idDosen}

	db.Create(&newTopik)

	return newTopik.Id
}

func addPendaftaran(idtopik, idmhs, iddosen string) string {
	newStatus := true
	timeNow := time.Now()
	tenDaysLater := timeNow.Add(10 * 24 * time.Hour)

	db := database.GetInstance()
	newTopik := models.Pendaftaran{IdTopik: idtopik, IdMahasiswa: idmhs, IdDosen: iddosen, Status: &newStatus, InterviewAt: &timeNow, DecidedAt: &tenDaysLater}

	db.Create(&newTopik)

	return newTopik.Id
}

func addUsulanJudul(judul, idpendaftaran string, status bool) string {
	db := database.GetInstance()
	newTopik := models.UsulanJudul{Judul: judul, IdPendaftaran: idpendaftaran, Status: &status}

	db.Create(&newTopik)

	return newTopik.Id
}

func acceptJudul(idjudul, idpendaftaran string) {
	newStatus := true
	timeNow := time.Now()
	tenDaysLater := timeNow.Add(10 * 24 * time.Hour)

	db := database.GetInstance()
	db.Save(&models.UsulanJudul{Id: idjudul, Status: &newStatus})
	db.Save(&models.Pendaftaran{Id: idpendaftaran, Status: &newStatus, DecidedAt: &tenDaysLater, InterviewAt: &timeNow})
}

func main() {
	// create 2 dosen
	idDosen1 := "8f15b77e-18c9-4366-8030-522804a9f8ee"

	// create 2 mahasiswa
	idMhs1 := "2699d9bd-3df4-44a5-ad3b-d9718d19c46d"

	// create topik for each dosen
	idTopik1 := addTopik("Pengembangan Sistem Pendeteksi Anomali Otomatis Menggunakan Deep Learning", "Topik ini berkaitan dengan pengembangan sistem yang dapat mendeteksi anomali secara otomatis dalam data. Anomali seringkali menjadi tanda-tanda yang penting dalam berbagai konteks, seperti deteksi kecurangan dalam transaksi keuangan atau pengawasan mesin dalam lingkungan industri. Dengan menggunakan teknik-teknik deep learning, termasuk Convolutional Neural Networks (CNNs) atau Recurrent Neural Networks (RNNs), tugas akhir ini akan memfokuskan pada pengembangan model yang mampu secara efektif mengenali pola anomali dari data yang kompleks dan berdimensi tinggi.", idDosen1)

	idPendaftaran1 := addPendaftaran(idTopik1, idMhs1, idDosen1)

	// create 2 judul for each topik
	addUsulanJudul("Implementasi Convolutional Neural Networks untuk Deteksi Anomali pada Citra Medis", idPendaftaran1, true)
	addUsulanJudul("Pengembangan Model Deep Learning untuk Deteksi Anomali pada Data Sensor IoT", idPendaftaran1, false)
}
