package middleware

import (
	"net/http"
	"os"

	"github.com/labstack/echo/v4"
	"gitlab.informatika.org/k-01-11/graduit-be/src/utils"
)

// masih mentah baru raba2

func Validator(expectedRole string) echo.MiddlewareFunc {
	return func(next echo.HandlerFunc) echo.HandlerFunc {
		return func(c echo.Context) error {
			cookie, err := c.Cookie("gradu-it.access-token")
			if err != nil {
				return c.JSON(http.StatusUnauthorized, utils.ResponseDetailOutput(false, http.StatusUnauthorized, "Unauthorized", nil))
			}

			tokenString := cookie.Value

			client := &http.Client{}

			auth_url := os.Getenv("LOGIN_API_URL") + "/auth/self"

			req, err := http.NewRequest(http.MethodGet, auth_url, nil)
			if err != nil {
				return c.JSON(http.StatusInternalServerError, utils.ResponseDetailOutput(false, http.StatusInternalServerError, "Internal Server Error", err))
			}

			req.Header.Set("Authorization", "Bearer "+tokenString)

			resp, err := client.Do(req)
			if err != nil {
				return c.JSON(http.StatusInternalServerError, utils.ResponseDetailOutput(false, http.StatusInternalServerError, "Something went wrong executing auth", err))
			}
			defer resp.Body.Close()

			if resp.StatusCode != http.StatusOK {
				return c.JSON(resp.StatusCode, utils.ResponseDetailOutput(false, resp.StatusCode, "Unauthorized", resp.Body))
			}

			return next(c)
		}
	}
}
