package models

const (
	PenggunaTableName = "pengguna"
)

type roles string

const (
	ADMIN         roles = "ADMIN"
	TU            roles = "TU"
	S2_MAHASISWA  roles = "S2_MAHASISWA"
	S2_PEMBIMBING roles = "S2_PEMBIMBING"
	S2_PENGUJI    roles = "S2_PENGUJI"
	S2_TIM_TESIS  roles = "S2_TIM_TESIS"
	S2_KULIAH     roles = "S2_KULIAH"
	S1_MAHASISWA  roles = "S1_MAHASISWA"
	S1_PEMBIMBING roles = "S1_PEMBIMBING"
	S1_PENGUJI    roles = "S1_PENGUJI"
	S1_TIM_TA     roles = "S1_TIM_TA"
	S1_KULIAH     roles = "S1_KULIAH"
)

type Pengguna struct {
	Id       string `gorm:"type:uuid;primaryKey;default:gen_random_uuid();unique" json:"id"`
	Nama     string `gorm:"column:nama" json:"nama"`
	Email    string `gorm:"column:email" json:"email"`
	Password string `gorm:"column:password;" json:"-"`
	Roles    roles  `gorm:"column:roles" json:"roles"`
	NIM      string `gorm:"column:nim" json:"nim"`
	Kontak   string `gorm:"column:kontak" json:"kontak"`
}

func (Pengguna) TableName() string {
	return PenggunaTableName
}
