package models

import "time"

type Pendaftaran struct {
	Id          string     `gorm:"type:uuid;primaryKey;default:gen_random_uuid();unique"` // UUID as a string
	IdTopik     string     `gorm:"type:uuid"`
	IdMahasiswa string     `gorm:"type:uuid"`
	IdDosen     string     `gorm:"type:uuid"`
	Status      *bool      `gorm:"default:null"`
	InterviewAt *time.Time `gorm:"default:null"`
	DecidedAt   *time.Time `gorm:"default:null"`
	CreatedAt   time.Time  `gorm:"autoCreateTime"` // Use this if you want to override the gorm.Model's CreatedAt
	UpdatedAt   time.Time  `gorm:"autoUpdateTime"` // Use this if you want to override the gorm.Model's UpdatedAt
	IdPeriode   string
	Dosen       Pengguna `gorm:"foreignKey:IdDosen;references:Id"`
	Mahasiswa   Pengguna `gorm:"foreignKey:IdMahasiswa;references:Id"`
	Topik       Topik    `gorm:"foreignKey:IdTopik;references:Id"`
}
