package usecase

import "gitlab.informatika.org/k-01-11/graduit-be/src/module/dashboard_dosbing/entity"

type DashboardDosbingUseCase interface {
	GetMahasiswaByDosenId(idDosen string, offset, size int) (output []entity.MahasiswaBimbingan, err error)
	GetAmountMahasiswaByDosenId(idDosen string) (output []entity.JumlahMahasiswa, err error)
	GetAmountStatusBimbinganMahasiswaByDosenId(idDosen string) (output []entity.StatusBimbinganMahasiswa, err error)
}

type DashboardDosbingUc struct {
	dashboardDosbingRepo DashboardDosbingRepository
}

func NewDashboardDosbingUsecase(dashboardDosbingRepo DashboardDosbingRepository) *DashboardDosbingUc {
	return &DashboardDosbingUc{
		dashboardDosbingRepo: dashboardDosbingRepo,
	}
}

func (uc *DashboardDosbingUc) GetMahasiswaByDosenId(idDosen string, offset, size int) (output []entity.MahasiswaBimbingan, err error) {
	listMahasiswa, err := uc.dashboardDosbingRepo.GetMahasiswaByDosenId(idDosen, offset, size)

	if err != nil {
		return listMahasiswa, err
	}

	return listMahasiswa, nil
}

func (uc *DashboardDosbingUc) GetAmountMahasiswaByDosenId(idDosen string) (output []entity.JumlahMahasiswa, err error) {
	listMahasiswa, err := uc.dashboardDosbingRepo.GetAmountMahasiswaByDosenId(idDosen)

	if err != nil {
		return listMahasiswa, err
	}

	return listMahasiswa, nil
}

func (uc *DashboardDosbingUc) GetAmountStatusBimbinganMahasiswaByDosenId(idDosen string) (output []entity.StatusBimbinganMahasiswa, err error) {
	listMahasiswa, err := uc.dashboardDosbingRepo.GetAmountStatusBimbinganMahasiswaByDosenId(idDosen)

	if err != nil {
		return listMahasiswa, err
	}

	return listMahasiswa, nil
}
