package entity

import "time"

type StatusStatistics struct {
	Diterima       int64   `json:"diterima"`
	PersenDiterima float64 `json:"persen_diterima"`
	Diproses       int64   `json:"diproses"`
	PersenDiproses float64 `json:"persen_diproses"`
	Ditolak        int64   `json:"ditolak"`
	PersenDitolak  float64 `json:"persen_ditolak"`
}

type DataPendaftaranMahasiswa struct {
	NIM    string `json:"nim"`
	Nama   string `json:"nama"`
	Topik  string `json:"judul_topik"`
	Status bool   `json:"status"`
}

type DashboardData struct {
	ListPendaftar []DataPendaftaranMahasiswa `json:"list_pendaftaran"`
	Stats         StatusStatistics           `json:"statistics"`
}

type Pendaftaran struct {
	Id          string
	IdTopik     string
	IdMahasiswa string
	IdDosen     string
	Status      bool
	InterviewAt time.Time
	DecidedAt   time.Time
	CreatedAt   time.Time
	UpdatedAt   time.Time
	IdPeriode   string
}

type Mahasiswa struct {
	Name        string `gorm:"size:100"`
	NIM         string `gorm:"size:8"`
	IdMahasiswa string `gorm:"index;primaryKey"`
	IdDosen     string `gorm:"default:null"`
}

type Topik struct {
	Id        string `gorm:"type:uuid;primaryKey;default:gen_random_uuid()"` // UUID as a string
	Judul     string
	Deskripsi string
	IdDosen   string
	CreatedAt time.Time `gorm:"autoCreateTime"` // Use this if you want to override the gorm.Model's CreatedAt
	UpdatedAt time.Time `gorm:"autoUpdateTime"` // Use this if you want to override the gorm.Model's UpdatedAt
}

type PeriodPendaftaran struct {
	IDPeriod       string 	`gorm:"type:uuid;primaryKey;default:gen_random_uuid()" json:"id"`
	StartDate      string	`json:"start_date"`
	EndDate        string	`json:"end_date"`
	PeriodSemester string	`json:"semester"`
	PeriodYear     string	`json:"year"`
	Status         bool		`json:"status"`
}

type PeriodStats struct {
	Period 			PeriodPendaftaran 	`json:"period"`
	NumMahasiswa 	int64				`json:"count_mahasiswa"`
}