package entity

import "time"

type JadwalSeminar struct {
	ID          string    `gorm:"type:uuid;primaryKey;default:gen_random_uuid()" json:"id"`
	Nim         string    `gorm:"column:nim" json:"nim"`
	Name        string    `gorm:"column:nama_mahasiswa" json:"name"`
	CreatedAt   time.Time `gorm:"autoCreateTime"` // Use this if you want to override the gorm.Model's CreatedAt
	ScheduledAt time.Time `gorm:"default:null"`
	NamaDosbing string    `gorm:"column:nama_dosbing" json:"namaDosbing"`
	NamaDosuji1 string    `gorm:"column:nama_dosuji" json:"namaDosuji1"`
	Ruang       string    `gorm:"column:ruang" json:"ruang"`
	IDBatch     string    `gorm:"column:id_batch" json:"batchid"`
	Judul       string    `gorm:"column:judul" json:"judul"`
}

type ParamValues struct {
	Limit  int
	Offset int
}

type JadwalSeminarRequest struct {
	Nim         string    `json:"nim"`
	Name        string    `json:"name"`
	ScheduledAt time.Time `gorm:"default:null"`
	NamaDosbing string    `json:"namaDosbing"`
	NamaDosuji1 string    `json:"namaDosuji1"`
	Ruang       string    `json:"ruang"`
	IDBatch     string    `json:"IDBatch"`
	Judul       string    `json:"judul"`
}

type EditJadwalSeminarRequest struct {
	ID          string    `json:"ID"`
	Nim         string    `json:"nim"`
	Name        string    `json:"name"`
	ScheduledAt time.Time `gorm:"default:null"`
	NamaDosbing string    `json:"namaDosbing"`
	NamaDosuji1 string    `json:"namaDosuji1"`
	Ruang       string    `json:"ruang"`
	IDBatch     string    `json:"IDBatch"`
	Judul       string    `json:"judul"`
}
