package repository

import (
	"gitlab.informatika.org/k-01-11/graduit-be/src/module/pengguna/entity"
	"gorm.io/gorm"
)

type PenggunaRepo struct {
	DBWrite *gorm.DB
	DBRead  *gorm.DB
}

func NewPenggunaRepository(dbWrite *gorm.DB, dbRead *gorm.DB) *PenggunaRepo {
	return &PenggunaRepo{
		DBWrite: dbWrite,
		DBRead:  dbRead,
	}
}

func (repo *PenggunaRepo) GetPenggunaByNIM(nim string) (entity.Pengguna, error) {
	var pengguna entity.Pengguna
	result := repo.DBRead.Where("nim = ?", nim).First(&pengguna)
	if result.Error != nil {
		return entity.Pengguna{}, result.Error
	}

	if result.Error == gorm.ErrRecordNotFound {
		return entity.Pengguna{}, nil
	}
	return pengguna, nil
}
