package usecase

import (
	"gitlab.informatika.org/k-01-11/graduit-be/src/module/pengguna/entity"
)

type PenggunaUsecase interface {
	GetPenggunaByNIM(nim string) (entity.Pengguna, error)
}

type PenggunaUc struct {
	penggunaRepo PenggunaRepository
}

func NewPenggunaUseCase(penggunaRepo PenggunaRepository) *PenggunaUc {
	return &PenggunaUc{
		penggunaRepo: penggunaRepo,
	}
}

func (uc *PenggunaUc) GetPenggunaByNIM(nim string) (entity.Pengguna, error) {
	return uc.penggunaRepo.GetPenggunaByNIM(nim)
}
